неделя, 21 юни 2009 г.

ati 9.6 kernel 2.6.30 testing

Success:

Upgrade X to current
See the picture and make changes, recompile kernel...
http://forum.ubuntu.org.cn/download/file.php?id=29624&mode=view/Screenshot-4.png
make menuconfig
...
Patch from here:
http://forum.ubuntu.org.cn/viewtopic.php?f=42&p=1329973
http://forum.ubuntu.org.cn/download/file.php?id=68780&sid=3b5c9a64a3d77c9f34a47330b7654885
I think any patch will do thing... for 2.6.30 or 2.6.29

This may need too:
patches from: http://bugs.gentoo.org/show_bug.cgi?id=266819
config_x86_32.patch

./ati-installer.sh 8.62 --buildpkg Slackware/All

go to: common/lib/modules/fglrx/build_mod/
copy fglrx.ko on hand to /lib/modules/2.6.30/external/
depmod -a
try load it.

In
cd packages/Slackware/x_pkg/
You must have all files need to copy in /usr/lib/ and /etc/ati ... it is full path tree just copy
- watch for module dir it will not copy because is link ot missing in Slack!
- just copy -r modules/* /usr/lib/xorg/modules/
see that all is copied right.

try to start X

"[fglrx:firegl_find_any_map] *ERROR* Invalid map handle!<3>[fglrx:drm_vm_close] *ERROR* map not found -> inconsistent kernel data!!! vma_start:0xb5b01000,handle:0xd0000000"
This will stay on dmesg but GL will work.


OLD:
Not working after startX and try openg X crash...

Reading long howto compile 9-6 Ati driver wth 2.6.30 i do this mess, that succeed for my only:

patches from: http://bugs.gentoo.org/show_bug.cgi?id=266819
config_x86_32.patch
flush_tlb_page-94.patch

from ARCH linux page: http://dev.archlinux.org/~eduardo/pkgs/
2.6.30.diff
fglrx.diff



cd /usr/src/ati/;rm -r 9.6; sh ati-driver-installer-9-6-x86.x86_64.run --extract 9.6; cd /usr/src/ati/9.6
patch -p0 < ../config_x86_32.patch
patch -p0 < ../flush_tlb_page-94.patch

cd common/lib/modules/fglrx/build_mod
patch -p0 < /usr/src/ati/2.6.30.diff
cp 2.6.x/Makefile .
cp ../../../../../arch/x86/lib/modules/fglrx/build_mod/libfglrx_ip.a.GCC4 .
make -C /lib/modules/2.6.30/build SUBDIRS="`pwd`" ARCH=i386 modules

неделя, 14 юни 2009 г.

sendmail dspam

wget http://download.softpedia.ro/dl/c0f5caa13850ef0c849d535a2934cbc4/4a327a61/500005125/linux/dspam-3.8.0.tar.gz
Sorry GIT is more comftable late i will get him. now wget is simple.

dspam install - like in: http://dspamwiki.expass.de/Installation/Sendmail

after that change : chmod 2777 /vard/spam
dsapm works perfect wit little addon's.